%define anolis_release 7
%global modname constant

Name:           perl-%{modname}
Version:        1.33
Release:        %{anolis_release}%{?dist}
Summary:        Perl pragma to declare constants
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{modname}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{modname}-%{version}.tar.gz

BuildRequires:  make perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires:  perl(Carp) perl(vars) perl(warnings::register) perl(Test::More)
BuildRequires:  perl(utf8) perl(warnings) perl(Test::Pod) >= 1.14 perl(Test::Pod::Coverage) >= 1.04

Requires:       perl(Carp)

BuildArch:      noarch

%description
This pragma allows you to declare constants at compile-time.

When a constant is used in an expression, Perl replaces it with its
value at compile time, and may then optimize the expression further.
In particular, any code in an "if (CONSTANT)" block will be optimized
away if the constant is false.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*.zst

%files doc
%doc README Changes

%changelog
* Mon Apr 10 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.33-7
- Refactor the specfile

* Tue Feb 07 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.33-6
- rebuild with perl_bootstrap disabled

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.33-5
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.33-4
- rebuild with perl 5.36.0

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.33-3
- add doc package

* Thu Mar 17 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.33-2
- set make,perl-interpreter and perl-generators as BuildRequires

* Tue Mar  8 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 1.33-1
- Init version from upstream v1.33
